Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Class JDOMetaDataGenerator

    java.lang.Object
      |
      +--kodo.meta.JDOMetaDataGenerator

All Implemented Interfaces:
  JDOTypes

public class JDOMetaDataGenerator
extends Object
implements JDOTypes

Generates default JDO metadata for a given class.

Since:
  3.0

Fields inherited from interface kodo.meta.JDOTypes
`TYPE_ARRAY, TYPE_BIGDECIMAL, TYPE_BIGINTEGER, TYPE_BOOLEAN, TYPE_BOOLEAN_OBJ, TYPE_BYTE, TYPE_BYTE_OBJ, TYPE_CHAR, TYPE_CHAR_OBJ, TYPE_COLLECTION, TYPE_DATE, TYPE_DOUBLE, TYPE_DOUBLE_OBJ, TYPE_FCO, TYPE_FLOAT, TYPE_FLOAT_OBJ, TYPE_INT, TYPE_INT_OBJ, TYPE_LOCALE, TYPE_LONG, TYPE_LONG_OBJ, TYPE_MAP, TYPE_NUMBER, TYPE_OBJECT, TYPE_PC_OBJECT, TYPE_SHORT, TYPE_SHORT_OBJ, TYPE_STRING`

Constructor Summary
`JDOMetaDataGenerator(JDOConfiguration conf)` Constructor.

Method Summary
`ClassMetaData` | `generateMetaData(Class cls, boolean useImplHelper)` Generate the default metadata for the given class.
`boolean` | `getAssumePCSuperclass()` Return whether user-defined superclasses are assumed to be PersistenceCapable.
`boolean` | `getIgnoreNonPersistent()` Return whether to ignore fields which are not persistent by default during field metadata generation by reflection.
`static int` | `getTypeCode(Class type)` Return the field metadata type code for the given class.
`static boolean` | `isDefaultPersistent(Class type)` Return true if the given type is considered default persistent by JDO.
`static boolean` | `isDefaultPersistent(Class type, String name)` Return true if the given type and field name is considered default persistent by JDO.
`static boolean` | `isKnownType(Class type)` Return true if the given type is a known JDO type.
`protected ClassMetaData` | `newClassMetaData(Class cls)` Return a new class metadata object for the given class.
`protected FieldMetaData` | `newFieldMetaData(String name, Class type, ClassMetaData owner)` Return a new field metadata object for a field of the given name and type.
`void` | `setAssumePCSuperclass(boolean assumePCSuperclass)` Set whether or not to assume user-defined superclasses are assumed to be PersistenceCapable.
`void` | `setIgnoreNonPersistent(boolean ignore)` Set whether to ignore fields which are not persistent by default during field metadata generation by reflection.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDOMetaDataGenerator

    public JDOMetaDataGenerator(JDOConfiguration conf)

  Constructor. Supply configuration.

Method Detail

### isKnownType

    public static boolean isKnownType(Class type)

  Return true if the given type is a known JDO type.

### isDefaultPersistent

    public static boolean isDefaultPersistent(Class type)

  Return true if the given type is considered default persistent by JDO.

### isDefaultPersistent

    public static boolean isDefaultPersistent(Class type,
                                              String name)

  Return true if the given type and field name is considered default persistent by JDO.

### getTypeCode

    public static int getTypeCode(Class type)

  Return the field metadata type code for the given class. First class objects are not recognized in this method.

### getAssumePCSuperclass

    public boolean getAssumePCSuperclass()

  Return whether user-defined superclasses are assumed to be PersistenceCapable. Defaults to true.

### setAssumePCSuperclass

    public void setAssumePCSuperclass(boolean assumePCSuperclass)

  Set whether or not to assume user-defined superclasses are assumed to be PersistenceCapable. Defaults to true.

### getIgnoreNonPersistent

    public boolean getIgnoreNonPersistent()

  Return whether to ignore fields which are not persistent by default during field metadata generation by reflection. Defaults to true

### setIgnoreNonPersistent

    public void setIgnoreNonPersistent(boolean ignore)

  Set whether to ignore fields which are not persistent by default during field metadata generation by reflection. Defaults to true

### generateMetaData

    public ClassMetaData generateMetaData(Class cls,
                                          boolean useImplHelper)

  Generate the default metadata for the given class.

### newClassMetaData

    protected ClassMetaData newClassMetaData(Class cls)

  Return a new class metadata object for the given class. Returns a `ClassMetaDataImpl` instance by default.

### newFieldMetaData

    protected FieldMetaData newFieldMetaData(String name,
                                             Class type,
                                             ClassMetaData owner)

  Return a new field metadata object for a field of the given name and type. Returns a `FieldMetaDataImpl` instance by default.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.1.6 generated on August 25 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.